Package org.apache.sling.cms.publication

## Enum PUBLICATION_MODE

- java.lang.Object
- - java.lang.Enum<PUBLICATION_MODE>
  - - org.apache.sling.cms.publication.PUBLICATION_MODE

All Implemented Interfaces:
  `Serializable`, `Comparable<PUBLICATION_MODE>`

    public enum PUBLICATION_MODE
    extends Enum<PUBLICATION_MODE>

The publication mode of the instance.

### Enum Constant Summary

Enum Constants
`CONTENT_DISTRIBUTION`
`STANDALONE`

### Method Summary

All Methods Static Methods Concrete Methods
`static PUBLICATION_MODE` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PUBLICATION_MODE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STANDALONE

    public static final PUBLICATION_MODE STANDALONE

#### CONTENT_DISTRIBUTION

    public static final PUBLICATION_MODE CONTENT_DISTRIBUTION

### Method Detail

#### values

    public static PUBLICATION_MODE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PUBLICATION_MODE c : PUBLICATION_MODE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PUBLICATION_MODE valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null